Package Details: bemenu-wayland-git 0.6.7.r1.g81b5091-2

Git Clone URL: https://aur.archlinux.org/bemenu-git.git (read-only, click to copy)
Package Base: bemenu-git
Description: Wayland (wlroots-based compositors) renderer for bemenu
Upstream URL: https://github.com/Cloudef/bemenu
Licenses: GPL3, LGPL3
Conflicts: bemenu-wayland
Provides: bemenu-renderer-git, bemenu-wayland
Submitter: dacoit
Maintainer: TrialnError
Last Packager: TrialnError
Votes: 17
Popularity: 0.56
First Submitted: 2015-08-12 17:25 (UTC)
Last Updated: 2022-03-19 21:36 (UTC)

Latest Comments

1 2 3 Next › Last »

TrialnError commented on 2023-03-26 20:16 (UTC)

Rather sparse information, but here is my guess about what is happening: You build the packages and want to install the bemenu-git-$PKGVER-$ARCH.pkg.tar.zst package but didn't succeed.
In general this is not a problem with the packages itself. But there are various ways for preventing this chueewowee.
If makepkg is used on this PKGBUILD it will create 4 packages. If you're using pacman to install those afterwards, you need to install/specify the renderer package in question alongside. Or install it first
e.g.:

# pacman -U bemenu-git-0.6.14.r9.g8e2fd06-1-x86_64.pkg.tar.zst bemenu-wayland-0.6.14.r9.g8e2fd06-1-x86_64.pkg.tar.zst

or

# pacman -U bemenu-wayland-0.6.14.r9.g8e2fd06-1-x86_64.pkg.tar.zst
# pacman -U bemenu-git-0.6.14.r9.g8e2fd06-1-x86_64.pkg.tar.zst

Without the renderer package it will check your local pacman database and there the dep cannot be satisfied.
Secondly you could maybe use the -i option of makepkg. Downside of this solution: It will install all 4 packages. The unwanted ones need to be uninstalled by hand.
And finally the most complicated but most beneficial method: You could create a local repo on your machine (or wherever) which gets tracked by pacman. See the Arch wiki for more information

chueewowee commented on 2023-03-26 19:02 (UTC)

Error to report:

-> Could not find all required packages: bemenu-renderer-git (Wanted by: bemenu-git)

TrialnError commented on 2022-03-19 07:35 (UTC)

Well... now we can see what happens if one decides: "Ah, it's fine. I can skip building in a clean chroot" :D Building works if bemenu is already installed...
In regards on the comment with users/aur pkg managers. Those are unsupported and I only need to care about makepkg.
If you have a patch available, we can talk about it. And later the day I will look again at this mess..

tmpm697 commented on 2022-03-19 07:27 (UTC)

screw it, even community packaged wrong, it should ask for install wayland/ncurses/x11.

this package also wrong as it should depends on wayland/ncurses/x11 and let users/aur pkg managers to install one of them.

tmpm697 commented on 2022-03-19 07:19 (UTC)

where is "bemenu-renderer-git"? can't build this package.

TrialnError commented on 2022-03-18 09:42 (UTC) (edited on 2022-03-18 09:43 (UTC) by TrialnError)

Will later update this PKGBUILD. I plan to closely follow the PKGBUILD from the repo, which means split packages.
Voices against such a change? Please with reasons :)

MarsSeed commented on 2022-02-22 23:03 (UTC)

I have triggered this package to become orphaned, so a new volunteer can adopt it and update it.

skrat commented on 2021-04-13 22:14 (UTC)

Dunno if this ever worked for you but for me it just can't find the renderers due to misused PREFIX. Should be

 build() {
   35     cd "$_pkgname"
~  36     make PREFIX="/usr"
   37 }
   38 
   39 package_bemenu-git() {
   40     cd "$_pkgname"
~  41     make DESTDIR="$pkgdir" PREFIX="/usr" install
+  42     make DESTDIR="$pkgdir" PREFIX="/usr" install-renderers
   43 }

xdavidwu commented on 2020-05-20 02:12 (UTC)

wayland-protocols should be in makedepends not optdepends. We only need it at compile time.

xdavidwu commented on 2020-05-19 18:37 (UTC)

wayland-scanner private-code < "$(pkg-config --variable=pkgdatadir wayland-protocols)/stable/xdg-shell/xdg-shell.xml" > lib/renderers/wayland/xdg-shell.c
wayland-scanner private-code < lib/renderers/wayland/wlr-layer-shell-unstable-v1.xml > lib/renderers/wayland/wlr-layer-shell-unstable-v1.c
wayland-scanner client-header < lib/renderers/wayland/wlr-layer-shell-unstable-v1.xml > lib/renderers/wayland/wlr-layer-shell-unstable-v1.h
/bin/sh: $(pkg-config --variable=pkgdatadir wayland-protocols)/stable/xdg-shell/xdg-shell.xml: No such file or directory
make: *** [GNUmakefile:68: lib/renderers/wayland/xdg-shell.c] Error 1

Seems like missing makedepends wayland-protocols